SetFactory("OpenCASCADE");
Mesh.CharacteristicLengthMin = 0.05;
Mesh.CharacteristicLengthMax = 0.05;

h = 0.5;
Box(1) = {0,0,0,1,1,h};
r = 0.1;

h2 = 0.1;
Point(21) = {0.6-r/2,0,h-h2};
Point(22) = {0.6+r/2,0,h-h2};
Point(23) = {0.6,0,h+0.0001-h2};
Point(24) = {0.6-r/2,0,h};
Point(25) = {0.6+r/2,0,h};
Line(14) = {21, 24};
Line(15) = {22, 25};
Circle(13) = {21, 23, 22};
BooleanFragments{ Volume{1}; Delete; }{ Curve{13}; Curve{14}; Curve{15}; Delete; }

Extrude {{0, 0, 1}, {0, 0, 0}, Pi/2} {
  Surface{4}; 
}
BooleanDifference{ Volume{1}; Delete; }{ Volume{2}; Delete; }

Fillet{1}{30}{0.05}
Fillet{1}{26}{0.05}
